Assign a lead Run in API Explorer
Ask AI
Assigns the lead to an employee of the firm. Requires leads:updateAll. A no-op when the lead is already
assigned to that employee.
POST
/api/v1/leads/{lead_uuid}/assign
curl \
--request POST 'https://api.plannrcrm.com/api/v1/leads/53f22fe4-3731-4cdc-aa12-e65bd0b15e52/assign' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"account_uuid": "b2c49c53-79f9-4c27-9ec9-e45384e5c559"
}'
Request examples
{
"account_uuid": "b2c49c53-79f9-4c27-9ec9-e45384e5c559"
}
Response examples (200)
{
"uuid": "c28b7429-aea9-4556-9cca-6b6068f9c5f9",
"title": "mr",
"first_name": "Sam",
"last_name": "Patel",
"name": "Sam Patel",
"client_type": "individual",
"date_of_birth": "1985-04-12",
"status": "new",
"status_changed_at": "2026-10-29T17:25:06+00:00",
"is_archived": false,
"is_promoted": false,
"can_update": true,
"can_archive": true,
"can_assign": false,
"can_update_introducer": false,
"source": {
"uuid": "87523b17-0877-4949-a18f-386a65f55f5a",
"name": "Website",
"description": "Enquiries via the contact page",
"position": 1,
"archived": false,
"sub_sources": {
"uuid": "3c5c8ee5-10d2-4665-a299-405c954225a8",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"created_at": "2026-10-29T17:25:14+00:00",
"updated_at": "2026-10-29T17:25:14+00:00"
},
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
},
"sub_source": {
"uuid": "0dc68b9c-fa2c-4ca3-8035-46344df155e0",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"lead_source": {
"uuid": "812c1cf1-66e5-45a1-ae70-9f7747ee6736",
"name": "Website",
"description": "Enquiries via the contact page",
"position": 1,
"archived": false,
"created_at": "2026-10-29T17:25:14+00:00",
"updated_at": "2026-10-29T17:25:14+00:00"
},
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
},
"assigned_account": {
"uuid": "e590e918-ce7f-413c-9325-020b6b7fa0d7",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"introduced_by": {
"uuid": "d9a6f9ed-5ae0-453c-b0c0-a4b20e160305",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_by": {
"uuid": "40d657eb-4933-4239-b15b-5f7780f3ba24",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"archived_by": {
"uuid": "f0e0d5ea-4250-494c-8836-f02267a01688",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"promoted_by": {
"uuid": "427596a7-5fdf-4fff-adf2-f14b49cabc3e",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"client_account": {
"uuid": "160fc601-5773-4bef-b838-aa060fa6dd5f",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_email": {
"uuid": "19e128eb-d78f-4548-967a-01233182a6ba",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"accounts": {
"uuid": "d5d36f53-7bf2-4cdc-9b9e-ab0c775ae829",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-29T17:25:13+00:00",
"next_review_date": "2026-10-29T17:25:13+00:00",
"previous_review_date": "2026-10-29T17:25:13+00:00",
"anniversary_review_date": "2026-10-29T17:25:13+00:00",
"terms_of_business_at": "2026-10-29T17:25:13+00:00",
"client_agreement_at": "2026-10-29T17:25:13+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-29",
"last_interaction_at": "2026-10-29 17:25:13",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-29T17:25:13+00:00",
"out_of_office_until": "2026-10-29T17:25:13+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
}
},
"primary_phone_number": {
"uuid": "362ad727-76b1-4449-919d-5d3e114f3910",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"accounts": {
"uuid": "d5d36f53-7bf2-4cdc-9b9e-ab0c775ae829",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-29T17:25:13+00:00",
"next_review_date": "2026-10-29T17:25:13+00:00",
"previous_review_date": "2026-10-29T17:25:13+00:00",
"anniversary_review_date": "2026-10-29T17:25:13+00:00",
"terms_of_business_at": "2026-10-29T17:25:13+00:00",
"client_agreement_at": "2026-10-29T17:25:13+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-29",
"last_interaction_at": "2026-10-29 17:25:13",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-29T17:25:13+00:00",
"out_of_office_until": "2026-10-29T17:25:13+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
}
},
"primary_address": {
"uuid": "ccd52832-8129-4f94-bd74-3367c463faf8",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"name": "Work Address",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"address_3": "The Innovative Centre",
"address_4": "Waterlooville",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"move_in_date": "2025-10-29",
"accounts": {
"uuid": "d5d36f53-7bf2-4cdc-9b9e-ab0c775ae829",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-29T17:25:13+00:00",
"next_review_date": "2026-10-29T17:25:13+00:00",
"previous_review_date": "2026-10-29T17:25:13+00:00",
"anniversary_review_date": "2026-10-29T17:25:13+00:00",
"terms_of_business_at": "2026-10-29T17:25:13+00:00",
"client_agreement_at": "2026-10-29T17:25:13+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-29",
"last_interaction_at": "2026-10-29 17:25:13",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-29T17:25:13+00:00",
"out_of_office_until": "2026-10-29T17:25:13+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
}
},
"interests": [
{
"uuid": "3d712d85-1504-4565-a6bc-0bb41a46abe1",
"name": "Wealth",
"description": "Investment and wealth management enquiries",
"position": 1,
"archived": false,
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
}
],
"custom_fields": [
{
"uuid": "8267774b-ee17-4755-8392-1e91ca48da86",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
],
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00"
}
Response examples (403)
{
"message": "This action is unauthorized."
}
Response examples (404)
{
"message": "Not Found"
}
Response examples (409)
Promoted lead
{
"message": "This lead has been promoted to a client and is locked."
}
{
"message": "This lead is archived and cannot be changed."
}
Response examples (422)
Missing fields
{
"message": "The account uuid field is required.",
"errors": {
"account_uuid": [
"The account uuid field is required."
]
}
}
{
"message": "Only owner, and employee accounts from this firm are valid for this action.",
"errors": {
"account_uuid": [
"Only owner, and employee accounts from this firm are valid for this action."
]
}
}